
$(document).ready(function(){
	var data = "detail_po/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_po_id").html('');
		$("#error_product_id").html('');
		$("#error_qty_po").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "detail_po/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_po_id").html(hasil.error.po_id);
					$("#error_product_id").html(hasil.error.product_id);
					$("#error_qty_po").html(hasil.error.qty_po);
				} else {
					$('#modal-tambah').modal('hide');
					$("#po_id").val('');
					$("#product_id").val('');
					$("#qty_po").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('detail_po/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_po_id").html('');
		$("#error_product_id").html('');
		$("#error_qty_po").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "detail_po/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_po_id").html(hasil.error.edit_po_id);
					$("#error_edit_product_id").html(hasil.error.edit_product_id);
					$("#error_edit_qty_po").html(hasil.error.edit_qty_po);
				} else {
					$('#modal-edit').modal('hide');
					$("#po_id").val('');
					$("#product_id").val('');
					$("#qty_po").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	


});